Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.service
Interface PersistenceService.Page

Enclosing class:
  PersistenceService

public static interface PersistenceService.Page

Method Summary
`java.lang.String` | `getAttribute(java.lang.String aName)` Returns the attribute value of the attribute with the given name.
`java.util.Enumeration` | `getAttributeNames()` Returns an enumeration of the attribute names of all attributes that the persistence service is aware of.
`java.util.Vector` | `getAttributes(java.lang.String aName)` Returns a vector of attribute values of attributes with the given name.
`java.lang.String` | `getName()` Returns the name of this page.
`void` | `removeAttribute(java.lang.String aName)` Removes the attribute with the given name.
`void` | `setAttribute(java.lang.String aName, java.lang.String aValue)` Sets an attribute with the given name and value
`void` | `setAttributes(java.lang.String aName, java.util.Vector aValues)` Sets a vector of attributes with the given name and values.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this page.
  Returns:
    the name of the page

### getAttribute

    public java.lang.String getAttribute(java.lang.String aName)

  Returns the attribute value of the attribute with the given name. If multiple values exist for the same attribute name, this method returns the first in order.
  Parameters:
    `aName` - the attribute name
  Returns:
    the attribute value

### getAttributes

    public java.util.Vector getAttributes(java.lang.String aName)

  Returns a vector of attribute values of attributes with the given name.
  Parameters:
    `aName` - the attribute name
  Returns:
    a vector attribute values

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Returns an enumeration of the attribute names of all attributes that the persistence service is aware of.
  Returns:
    the enumeration of attribute names

### setAttribute

    public void setAttribute(java.lang.String aName,
                             java.lang.String aValue)

  Sets an attribute with the given name and value
  Parameters:
    `aName` - the attribute name
    `aValue` - the attribute value

### setAttributes

    public void setAttributes(java.lang.String aName,
                              java.util.Vector aValues)

  Sets a vector of attributes with the given name and values. The order of attribute values with the identical attribute name space is preserved.
  Parameters:
    `aName` - the attribute name
    `aValues` - a vector of attribute values

### removeAttribute

    public void removeAttribute(java.lang.String aName)

  Removes the attribute with the given name.
  Parameters:
    `aName` - the attribute name

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD